---
apiVersion: v1
kind: ServiceAccount
metadata:
  namespace: "default"
  name: kube-web-view-account
---
apiVersion: rbac.authorization.k8s.io/v1beta1
kind: ClusterRole
metadata:
  name: kube-web-view-cluster-role
rules:

  - apiGroups:
    - '*'
    resources:
    - '*'
    verbs: [list, get]
  - nonResourceURLs:
    - '*'
    verbs: [list, get]

---
apiVersion: rbac.authorization.k8s.io/v1beta1
kind: ClusterRoleBinding
metadata:
  name: kube-web-view-rolebinding-cluster
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: kube-web-view-cluster-role
subjects:
  - kind: ServiceAccount
    name: kube-web-view-account
    namespace: "default"
---
apiVersion: v1
kind: Service
metadata:
    name: kube-web-view
spec:
    selector:
        application: kube-web-view
    type: ClusterIP
    ports:
    - port: 80
      protocol: TCP
      targetPort: 8080
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: kube-web-view
  labels:
    application: kube-web-view
spec:
  replicas: 1
  selector:
    matchLabels:
      application: kube-web-view
  template:
    metadata:
      labels:
        application: kube-web-view
    spec:
      serviceAccountName: kube-web-view-account
      containers:
        - name: kube-web-view-container
          image: TO_BE_REPLACED_BY_E2E_TEST
          imagePullPolicy: IfNotPresent  # For our E2E tests.
          args:
          - --show-container-logs
          - --object-links=pods=#cluster={cluster};namespace={namespace};name={name}
          env: []
